Bug 204719 - OpenFile dialog returns wrong path name when launchers are used
OpenFile dialog returns wrong path name when launchers are used
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgnomeui (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 01:06 EDT by The Source
Modified: 2008-03-18 14:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description The Source 2006-08-31 01:06:08 EDT
Description of problem:
Open file dialog allows launchers pointing the directory to be used when
selecting path/file. Howewer it does it improperly. If I have launcher called
Disc_C pointing to /mnt/c and I use it to get /mnt/c/file.txt, dialog returns
/home/user/Desktop/Disc_C.desktop/file.txt instead of /mnt/c/file.txt. Of cource
this path is wrong. I'm not sure this related to GTK2, perhaps its nautilus bug
(if nautilus provides opeb file dialog)


Version-Release number of selected component (if applicable):
2.8.20-1

How reproducible:
always

Steps to Reproduce:
1.Create directory launcher on desktop
2.Using open file dilog reach file you want through this launcher
3.Try to open the file
  
Actual results:
Applications say they can't open /home/user/Desktop/Disk_C.desktop/file.txt

Expected results:
The path should be /mnt/c/file.txt

Additional info:
Comment 1 Alexander Larsson 2006-09-06 04:00:46 EDT
More like a libgnomeui (file selector backend) issue.
Comment 2 Ray Strode [halfline] 2008-03-18 14:33:22 EDT
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.